///  convert_html_options.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

import 'package:kmpdfkit_conversion_flutter/util/string_extensions.dart';
import 'options.dart';

/// Convert pdf to html format parameters
class ConvertHTMLOptions extends Options {
  bool containImages;

  bool containAnnotations;

  HtmlPageOptions htmlPageOptions;

  ConvertHTMLOptions(
      {this.containImages = true,
      this.containAnnotations = false,
      this.htmlPageOptions = HtmlPageOptions.singlePage})
      : super() {
    map['containImages'] = containImages;
    map['containAnnotations'] = containAnnotations;
    map['htmlPageOptions'] = htmlPageOptions.name.capitalize();
  }
}

enum HtmlPageOptions {
  singlePage,
  singlePageNavigationByBookmark,
  multiplePages,
  multiplePagesSplitByBookmarks
}
